SUSE: 2022:2774-1 suse/sle-micro/5.3/toolbox Security Update | Linu...
SUSE Container Update Advisory: suse/sle-micro/5.3/toolbox
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:2774-1
Container Tags        : suse/sle-micro/5.3/toolbox:11.1 , suse/sle-micro/5.3/toolbox:11.1-5.2.21 , suse/sle-micro/5.3/toolbox:latest
Container Release     : 5.2.21
Severity              : important
Type                  : security
References            : 1087072 1204111 1204112 1204113 CVE-2022-42010 CVE-2022-42011
                        CVE-2022-42012 
-----------------------------------------------------------------

The container suse/sle-micro/5.3/toolbox was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3806-1
Released:    Thu Oct 27 17:21:11 2022
Summary:     Security update for dbus-1
Type:        security
Severity:    important
References:  1087072,1204111,1204112,1204113,CVE-2022-42010,CVE-2022-42011,CVE-2022-42012
This update for dbus-1 fixes the following issues:

  - CVE-2022-42010: Fixed potential crash that could be triggered by an invalid signature (bsc#1204111).
  - CVE-2022-42011: Fixed an out of bounds read caused by a fixed length array (bsc#1204112).
  - CVE-2022-42012: Fixed a use-after-free that could be trigged by a message in non-native endianness with out-of-band Unix file descriptor (bsc#1204113).

  Bugfixes:

  - Disable asserts (bsc#1087072).



The following package changes have been done:

- dbus-1-1.12.2-150400.18.5.1 updated
- libdbus-1-3-1.12.2-150400.18.5.1 updated

SUSE: 2022:2774-1 suse/sle-micro/5.3/toolbox Security Update

October 29, 2022
The container suse/sle-micro/5.3/toolbox was updated

Summary

Advisory ID: SUSE-SU-2022:3806-1 Released: Thu Oct 27 17:21:11 2022 Summary: Security update for dbus-1 Type: security Severity: important

References

References : 1087072 1204111 1204112 1204113 CVE-2022-42010 CVE-2022-42011

CVE-2022-42012

1087072,1204111,1204112,1204113,CVE-2022-42010,CVE-2022-42011,CVE-2022-42012

This update for dbus-1 fixes the following issues:

- CVE-2022-42010: Fixed potential crash that could be triggered by an invalid signature (bsc#1204111).

- CVE-2022-42011: Fixed an out of bounds read caused by a fixed length array (bsc#1204112).

- CVE-2022-42012: Fixed a use-after-free that could be trigged by a message in non-native endianness with out-of-band Unix file descriptor (bsc#1204113).

Bugfixes:

- Disable asserts (bsc#1087072).

The following package changes have been done:

- dbus-1-1.12.2-150400.18.5.1 updated

- libdbus-1-3-1.12.2-150400.18.5.1 updated

Severity
Container Advisory ID : SUSE-CU-2022:2774-1
Container Tags : suse/sle-micro/5.3/toolbox:11.1 , suse/sle-micro/5.3/toolbox:11.1-5.2.21 , suse/sle-micro/5.3/toolbox:latest
Container Release : 5.2.21
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.